OGRE: Ogre::SimplePageContentCollection Class Reference - OGRE Documentation

Public Types | Public Member Functions | Static Public Attributes | Protected Attributes

# Ogre::SimplePageContentCollection Class Reference
[Components, Paging]

Specialisation of PageContentCollection which just provides a simple list of PageContent instances. More...

`#include <OgreSimplePageContentCollection.h>`

Inheritance diagram for Ogre::SimplePageContentCollection:
[legend]

List of all members.

## Public Types
typedef vector< PageContent * > ::type | ContentList
## Public Member Functions
| SimplePageContentCollection (PageContentCollectionFactory *creator)
| ~SimplePageContentCollection ()
virtual PageContent * | createContent (const String &typeName)
| Create a new PageContent within this collection.
virtual void | destroyContent (PageContent *coll)
| Destroy a PageContent within this page.
virtual const ContentList & | getContentList () const
| Get const access to the list of content.
virtual void | save (StreamSerialiser &stream)
| Save the collection to a stream.
virtual void | frameStart (Real timeSinceLastFrame)
| Called when the frame starts.
virtual void | frameEnd (Real timeElapsed)
| Called when the frame ends.
virtual void | notifyCamera (Camera *cam)
| Notify a section of the current camera.
bool | prepare (StreamSerialiser &stream)
| Prepare data - may be called in the background.
void | load ()
| Load - will be called in main thread.
void | unload ()
| Unload - will be called in main thread.
void | unprepare ()
| Unprepare data - may be called in the background.
PageManager * | getManager () const
Page * | getParentPage () const
SceneManager * | getSceneManager () const
virtual const String & | getType () const
| Get the type of the collection, which will match it's factory.
virtual void | _notifyAttached (Page *parent)
| Internal method to notify a collection that it is attached.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Static Public Attributes
static const uint32 | SUBCLASS_CHUNK_ID
static const uint16 | SUBCLASS_CHUNK_VERSION
static const uint32 | CHUNK_ID
static const uint16 | CHUNK_VERSION
## Protected Attributes
ContentList | mContentList
PageContentCollectionFactory * | mCreator
Page * | mParent

## Detailed Description

Specialisation of PageContentCollection which just provides a simple list of PageContent instances.

  The data format for this in a file is:
  SimplePageContentCollectionData (Identifier 'SPCD')
  [Version 1]

  Name | Type | Description
  Nested contents | Nested chunk list | A sequence of nested PageContent chunks

Definition at line 66 of file OgreSimplePageContentCollection.h.

## Member Typedef Documentation

typedef vector<PageContent*>::type Ogre::SimplePageContentCollection::ContentList

Definition at line 69 of file OgreSimplePageContentCollection.h.

## Constructor & Destructor Documentation

Ogre::SimplePageContentCollection::SimplePageContentCollection | ( | PageContentCollectionFactory * | creator | ) |

Ogre::SimplePageContentCollection::~SimplePageContentCollection | ( |  | ) |

## Member Function Documentation

virtual void Ogre::PageContentCollection::_notifyAttached | ( | Page * | parent | ) | `[virtual, inherited]`

Internal method to notify a collection that it is attached.

virtual PageContent* Ogre::SimplePageContentCollection::createContent | ( | const String & | typeName | ) | `[virtual]`

Create a new PageContent within this collection.

Parameters:

  | typeName | The name of the type of content (see PageManager::getContentFactories)

virtual void Ogre::SimplePageContentCollection::destroyContent | ( | PageContent * | coll | ) | `[virtual]`

Destroy a PageContent within this page.

This is equivalent to calling detachContent and PageManager::destroyContent.

virtual void Ogre::SimplePageContentCollection::frameEnd | ( | Real | timeElapsed | ) | `[virtual]`

Called when the frame ends.

Implements Ogre::PageContentCollection.

virtual void Ogre::SimplePageContentCollection::frameStart | ( | Real | timeSinceLastFrame | ) | `[virtual]`

Called when the frame starts.

Implements Ogre::PageContentCollection.

virtual const ContentList& Ogre::SimplePageContentCollection::getContentList | ( |  | ) | const`[virtual]`

Get const access to the list of content.

Definition at line 90 of file OgreSimplePageContentCollection.h.

PageManager* Ogre::PageContentCollection::getManager | ( |  | ) | const`[inherited]`

Page* Ogre::PageContentCollection::getParentPage | ( |  | ) | const`[inherited]`

Definition at line 68 of file OgrePageContentCollection.h.

SceneManager* Ogre::PageContentCollection::getSceneManager | ( |  | ) | const`[inherited]`

virtual const String& Ogre::PageContentCollection::getType | ( |  | ) | const`[virtual, inherited]`

Get the type of the collection, which will match it's factory.

void Ogre::SimplePageContentCollection::load | ( |  | ) | `[virtual]`

Load - will be called in main thread.

Implements Ogre::PageContentCollection.

virtual void Ogre::SimplePageContentCollection::notifyCamera | ( | Camera * | cam | ) | `[virtual]`

Notify a section of the current camera.

Implements Ogre::PageContentCollection.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

bool Ogre::SimplePageContentCollection::prepare | ( | StreamSerialiser & | ser | ) | `[virtual]`

Prepare data - may be called in the background.

Implements Ogre::PageContentCollection.

virtual void Ogre::SimplePageContentCollection::save | ( | StreamSerialiser & | stream | ) | `[virtual]`

Save the collection to a stream.

Implements Ogre::PageContentCollection.

void Ogre::SimplePageContentCollection::unload | ( |  | ) | `[virtual]`

Unload - will be called in main thread.

Implements Ogre::PageContentCollection.

void Ogre::SimplePageContentCollection::unprepare | ( |  | ) | `[virtual]`

Unprepare data - may be called in the background.

Implements Ogre::PageContentCollection.

## Member Data Documentation

const uint32 Ogre::PageContentCollection::CHUNK_ID`[static, inherited]`

Definition at line 61 of file OgrePageContentCollection.h.

const uint16 Ogre::PageContentCollection::CHUNK_VERSION`[static, inherited]`

Definition at line 62 of file OgrePageContentCollection.h.

ContentList Ogre::SimplePageContentCollection::mContentList`[protected]`

Definition at line 73 of file OgreSimplePageContentCollection.h.

PageContentCollectionFactory* Ogre::PageContentCollection::mCreator`[protected, inherited]`

Definition at line 58 of file OgrePageContentCollection.h.

Page* Ogre::PageContentCollection::mParent`[protected, inherited]`

Definition at line 59 of file OgrePageContentCollection.h.

const uint32 Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_ID`[static]`

Definition at line 70 of file OgreSimplePageContentCollection.h.

const uint16 Ogre::SimplePageContentCollection::SUBCLASS_CHUNK_VERSION`[static]`

Definition at line 71 of file OgreSimplePageContentCollection.h.

The documentation for this class was generated from the following file:

- OgreSimplePageContentCollection.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:04